com.amazonaws.services.machinelearning.model

## Class GetDataSourceResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.machinelearning.model.GetDataSourceResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class GetDataSourceResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

Represents the output of a `GetDataSource` operation and describes a `DataSource`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GetDataSourceResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`GetDataSourceResult` `clone()`
`boolean` `equals(Object obj)`
`Boolean` `getComputeStatistics()` The parameter is `true` if statistics need to be generated from the observation data.
`Long` `getComputeTime()` The approximate CPU time in milliseconds that Amazon Machine Learning spent processing the `DataSource`, normalized and scaled on computation resources.
`Date` `getCreatedAt()` The time that the `DataSource` was created.
`String` `getCreatedByIamUser()` The AWS user account from which the `DataSource` was created.
`String` `getDataLocationS3()` The location of the data file or directory in Amazon Simple Storage Service (Amazon S3).
`String` `getDataRearrangement()` A JSON string that represents the splitting and rearrangement requirement used when this `DataSource` was created.
`Long` `getDataSizeInBytes()` The total size of observations in the data files.
`String` `getDataSourceId()` The ID assigned to the `DataSource` at creation.
`String` `getDataSourceSchema()` The schema used by all of the data files of this `DataSource`.
`Date` `getFinishedAt()` The epoch time when Amazon Machine Learning marked the `DataSource` as `COMPLETED` or `FAILED`.
`Date` `getLastUpdatedAt()` The time of the most recent edit to the `DataSource`.
`String` `getLogUri()` A link to the file containing logs of `CreateDataSourceFrom*` operations.
`String` `getMessage()` The user-supplied description of the most recent details about creating the `DataSource`.
`String` `getName()` A user-supplied name or description of the `DataSource`.
`Long` `getNumberOfFiles()` The number of data files referenced by the `DataSource`.
`RDSMetadata` `getRDSMetadata()`
`RedshiftMetadata` `getRedshiftMetadata()`
`String` `getRoleARN()`
`Date` `getStartedAt()` The epoch time when Amazon Machine Learning marked the `DataSource` as `INPROGRESS`.
`String` `getStatus()` The current status of the `DataSource`.
`int` `hashCode()`
`Boolean` `isComputeStatistics()` The parameter is `true` if statistics need to be generated from the observation data.
`void` `setComputeStatistics(Boolean computeStatistics)` The parameter is `true` if statistics need to be generated from the observation data.
`void` `setComputeTime(Long computeTime)` The approximate CPU time in milliseconds that Amazon Machine Learning spent processing the `DataSource`, normalized and scaled on computation resources.
`void` `setCreatedAt(Date createdAt)` The time that the `DataSource` was created.
`void` `setCreatedByIamUser(String createdByIamUser)` The AWS user account from which the `DataSource` was created.
`void` `setDataLocationS3(String dataLocationS3)` The location of the data file or directory in Amazon Simple Storage Service (Amazon S3).
`void` `setDataRearrangement(String dataRearrangement)` A JSON string that represents the splitting and rearrangement requirement used when this `DataSource` was created.
`void` `setDataSizeInBytes(Long dataSizeInBytes)` The total size of observations in the data files.
`void` `setDataSourceId(String dataSourceId)` The ID assigned to the `DataSource` at creation.
`void` `setDataSourceSchema(String dataSourceSchema)` The schema used by all of the data files of this `DataSource`.
`void` `setFinishedAt(Date finishedAt)` The epoch time when Amazon Machine Learning marked the `DataSource` as `COMPLETED` or `FAILED`.
`void` `setLastUpdatedAt(Date lastUpdatedAt)` The time of the most recent edit to the `DataSource`.
`void` `setLogUri(String logUri)` A link to the file containing logs of `CreateDataSourceFrom*` operations.
`void` `setMessage(String message)` The user-supplied description of the most recent details about creating the `DataSource`.
`void` `setName(String name)` A user-supplied name or description of the `DataSource`.
`void` `setNumberOfFiles(Long numberOfFiles)` The number of data files referenced by the `DataSource`.
`void` `setRDSMetadata(RDSMetadata rDSMetadata)`
`void` `setRedshiftMetadata(RedshiftMetadata redshiftMetadata)`
`void` `setRoleARN(String roleARN)`
`void` `setStartedAt(Date startedAt)` The epoch time when Amazon Machine Learning marked the `DataSource` as `INPROGRESS`.
`void` `setStatus(EntityStatus status)` The current status of the `DataSource`.
`void` `setStatus(String status)` The current status of the `DataSource`.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`GetDataSourceResult` `withComputeStatistics(Boolean computeStatistics)` The parameter is `true` if statistics need to be generated from the observation data.
`GetDataSourceResult` `withComputeTime(Long computeTime)` The approximate CPU time in milliseconds that Amazon Machine Learning spent processing the `DataSource`, normalized and scaled on computation resources.
`GetDataSourceResult` `withCreatedAt(Date createdAt)` The time that the `DataSource` was created.
`GetDataSourceResult` `withCreatedByIamUser(String createdByIamUser)` The AWS user account from which the `DataSource` was created.
`GetDataSourceResult` `withDataLocationS3(String dataLocationS3)` The location of the data file or directory in Amazon Simple Storage Service (Amazon S3).
`GetDataSourceResult` `withDataRearrangement(String dataRearrangement)` A JSON string that represents the splitting and rearrangement requirement used when this `DataSource` was created.
`GetDataSourceResult` `withDataSizeInBytes(Long dataSizeInBytes)` The total size of observations in the data files.
`GetDataSourceResult` `withDataSourceId(String dataSourceId)` The ID assigned to the `DataSource` at creation.
`GetDataSourceResult` `withDataSourceSchema(String dataSourceSchema)` The schema used by all of the data files of this `DataSource`.
`GetDataSourceResult` `withFinishedAt(Date finishedAt)` The epoch time when Amazon Machine Learning marked the `DataSource` as `COMPLETED` or `FAILED`.
`GetDataSourceResult` `withLastUpdatedAt(Date lastUpdatedAt)` The time of the most recent edit to the `DataSource`.
`GetDataSourceResult` `withLogUri(String logUri)` A link to the file containing logs of `CreateDataSourceFrom*` operations.
`GetDataSourceResult` `withMessage(String message)` The user-supplied description of the most recent details about creating the `DataSource`.
`GetDataSourceResult` `withName(String name)` A user-supplied name or description of the `DataSource`.
`GetDataSourceResult` `withNumberOfFiles(Long numberOfFiles)` The number of data files referenced by the `DataSource`.
`GetDataSourceResult` `withRDSMetadata(RDSMetadata rDSMetadata)`
`GetDataSourceResult` `withRedshiftMetadata(RedshiftMetadata redshiftMetadata)`
`GetDataSourceResult` `withRoleARN(String roleARN)`
`GetDataSourceResult` `withStartedAt(Date startedAt)` The epoch time when Amazon Machine Learning marked the `DataSource` as `INPROGRESS`.
`GetDataSourceResult` `withStatus(EntityStatus status)` The current status of the `DataSource`.
`GetDataSourceResult` `withStatus(String status)` The current status of the `DataSource`.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GetDataSourceResult

    public GetDataSourceResult()

### Method Detail

#### setDataSourceId

    public void setDataSourceId(String dataSourceId)

The ID assigned to the `DataSource` at creation. This value should be identical to the value of the `DataSourceId` in the request.

Parameters:
  `dataSourceId` - The ID assigned to the `DataSource` at creation. This value should be identical to the value of the `DataSourceId` in the request.

#### getDataSourceId

    public String getDataSourceId()

The ID assigned to the `DataSource` at creation. This value should be identical to the value of the `DataSourceId` in the request.

Returns:
  The ID assigned to the `DataSource` at creation. This value should be identical to the value of the `DataSourceId` in the request.

#### withDataSourceId

    public GetDataSourceResult withDataSourceId(String dataSourceId)

The ID assigned to the `DataSource` at creation. This value should be identical to the value of the `DataSourceId` in the request.

Parameters:
  `dataSourceId` - The ID assigned to the `DataSource` at creation. This value should be identical to the value of the `DataSourceId` in the request.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDataLocationS3

    public void setDataLocationS3(String dataLocationS3)

The location of the data file or directory in Amazon Simple Storage Service (Amazon S3).

Parameters:
  `dataLocationS3` - The location of the data file or directory in Amazon Simple Storage Service (Amazon S3).

#### getDataLocationS3

    public String getDataLocationS3()

The location of the data file or directory in Amazon Simple Storage Service (Amazon S3).

Returns:
  The location of the data file or directory in Amazon Simple Storage Service (Amazon S3).

#### withDataLocationS3

    public GetDataSourceResult withDataLocationS3(String dataLocationS3)

The location of the data file or directory in Amazon Simple Storage Service (Amazon S3).

Parameters:
  `dataLocationS3` - The location of the data file or directory in Amazon Simple Storage Service (Amazon S3).
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDataRearrangement

    public void setDataRearrangement(String dataRearrangement)

A JSON string that represents the splitting and rearrangement requirement used when this `DataSource` was created.

Parameters:
  `dataRearrangement` - A JSON string that represents the splitting and rearrangement requirement used when this `DataSource` was created.

#### getDataRearrangement

    public String getDataRearrangement()

A JSON string that represents the splitting and rearrangement requirement used when this `DataSource` was created.

Returns:
  A JSON string that represents the splitting and rearrangement requirement used when this `DataSource` was created.

#### withDataRearrangement

    public GetDataSourceResult withDataRearrangement(String dataRearrangement)

A JSON string that represents the splitting and rearrangement requirement used when this `DataSource` was created.

Parameters:
  `dataRearrangement` - A JSON string that represents the splitting and rearrangement requirement used when this `DataSource` was created.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCreatedByIamUser

    public void setCreatedByIamUser(String createdByIamUser)

The AWS user account from which the `DataSource` was created. The account type can be either an AWS root account or an AWS Identity and Access Management (IAM) user account.

Parameters:
  `createdByIamUser` - The AWS user account from which the `DataSource` was created. The account type can be either an AWS root account or an AWS Identity and Access Management (IAM) user account.

#### getCreatedByIamUser

    public String getCreatedByIamUser()

The AWS user account from which the `DataSource` was created. The account type can be either an AWS root account or an AWS Identity and Access Management (IAM) user account.

Returns:
  The AWS user account from which the `DataSource` was created. The account type can be either an AWS root account or an AWS Identity and Access Management (IAM) user account.

#### withCreatedByIamUser

    public GetDataSourceResult withCreatedByIamUser(String createdByIamUser)

The AWS user account from which the `DataSource` was created. The account type can be either an AWS root account or an AWS Identity and Access Management (IAM) user account.

Parameters:
  `createdByIamUser` - The AWS user account from which the `DataSource` was created. The account type can be either an AWS root account or an AWS Identity and Access Management (IAM) user account.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCreatedAt

    public void setCreatedAt(Date createdAt)

The time that the `DataSource` was created. The time is expressed in epoch time.

Parameters:
  `createdAt` - The time that the `DataSource` was created. The time is expressed in epoch time.

#### getCreatedAt

    public Date getCreatedAt()

The time that the `DataSource` was created. The time is expressed in epoch time.

Returns:
  The time that the `DataSource` was created. The time is expressed in epoch time.

#### withCreatedAt

    public GetDataSourceResult withCreatedAt(Date createdAt)

The time that the `DataSource` was created. The time is expressed in epoch time.

Parameters:
  `createdAt` - The time that the `DataSource` was created. The time is expressed in epoch time.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setLastUpdatedAt

    public void setLastUpdatedAt(Date lastUpdatedAt)

The time of the most recent edit to the `DataSource`. The time is expressed in epoch time.

Parameters:
  `lastUpdatedAt` - The time of the most recent edit to the `DataSource`. The time is expressed in epoch time.

#### getLastUpdatedAt

    public Date getLastUpdatedAt()

The time of the most recent edit to the `DataSource`. The time is expressed in epoch time.

Returns:
  The time of the most recent edit to the `DataSource`. The time is expressed in epoch time.

#### withLastUpdatedAt

    public GetDataSourceResult withLastUpdatedAt(Date lastUpdatedAt)

The time of the most recent edit to the `DataSource`. The time is expressed in epoch time.

Parameters:
  `lastUpdatedAt` - The time of the most recent edit to the `DataSource`. The time is expressed in epoch time.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDataSizeInBytes

    public void setDataSizeInBytes(Long dataSizeInBytes)

The total size of observations in the data files.

Parameters:
  `dataSizeInBytes` - The total size of observations in the data files.

#### getDataSizeInBytes

    public Long getDataSizeInBytes()

The total size of observations in the data files.

Returns:
  The total size of observations in the data files.

#### withDataSizeInBytes

    public GetDataSourceResult withDataSizeInBytes(Long dataSizeInBytes)

The total size of observations in the data files.

Parameters:
  `dataSizeInBytes` - The total size of observations in the data files.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setNumberOfFiles

    public void setNumberOfFiles(Long numberOfFiles)

The number of data files referenced by the `DataSource`.

Parameters:
  `numberOfFiles` - The number of data files referenced by the `DataSource`.

#### getNumberOfFiles

    public Long getNumberOfFiles()

The number of data files referenced by the `DataSource`.

Returns:
  The number of data files referenced by the `DataSource`.

#### withNumberOfFiles

    public GetDataSourceResult withNumberOfFiles(Long numberOfFiles)

The number of data files referenced by the `DataSource`.

Parameters:
  `numberOfFiles` - The number of data files referenced by the `DataSource`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setName

    public void setName(String name)

A user-supplied name or description of the `DataSource`.

Parameters:
  `name` - A user-supplied name or description of the `DataSource`.

#### getName

    public String getName()

A user-supplied name or description of the `DataSource`.

Returns:
  A user-supplied name or description of the `DataSource`.

#### withName

    public GetDataSourceResult withName(String name)

A user-supplied name or description of the `DataSource`.

Parameters:
  `name` - A user-supplied name or description of the `DataSource`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStatus

    public void setStatus(String status)

The current status of the `DataSource`. This element can have one of the following values:

- `PENDING` - Amazon ML submitted a request to create a `DataSource`.
- `INPROGRESS` - The creation process is underway.
- `FAILED` - The request to create a `DataSource` did not run to completion. It is not usable.
- `COMPLETED` - The creation process completed successfully.
- `DELETED` - The `DataSource` is marked as deleted. It is not usable.

Parameters:
  `status` - The current status of the `DataSource`. This element can have one of the following values:
  - `PENDING` - Amazon ML submitted a request to create a `DataSource`.
  - `INPROGRESS` - The creation process is underway.
  - `FAILED` - The request to create a `DataSource` did not run to completion. It is not usable.
  - `COMPLETED` - The creation process completed successfully.
  - `DELETED` - The `DataSource` is marked as deleted. It is not usable.
See Also:
  `EntityStatus`

#### getStatus

    public String getStatus()

The current status of the `DataSource`. This element can have one of the following values:

- `PENDING` - Amazon ML submitted a request to create a `DataSource`.
- `INPROGRESS` - The creation process is underway.
- `FAILED` - The request to create a `DataSource` did not run to completion. It is not usable.
- `COMPLETED` - The creation process completed successfully.
- `DELETED` - The `DataSource` is marked as deleted. It is not usable.

Returns:
  The current status of the `DataSource`. This element can have one of the following values:
  - `PENDING` - Amazon ML submitted a request to create a `DataSource`.
  - `INPROGRESS` - The creation process is underway.
  - `FAILED` - The request to create a `DataSource` did not run to completion. It is not usable.
  - `COMPLETED` - The creation process completed successfully.
  - `DELETED` - The `DataSource` is marked as deleted. It is not usable.
See Also:
  `EntityStatus`

#### withStatus

    public GetDataSourceResult withStatus(String status)

The current status of the `DataSource`. This element can have one of the following values:

- `PENDING` - Amazon ML submitted a request to create a `DataSource`.
- `INPROGRESS` - The creation process is underway.
- `FAILED` - The request to create a `DataSource` did not run to completion. It is not usable.
- `COMPLETED` - The creation process completed successfully.
- `DELETED` - The `DataSource` is marked as deleted. It is not usable.

Parameters:
  `status` - The current status of the `DataSource`. This element can have one of the following values:
  - `PENDING` - Amazon ML submitted a request to create a `DataSource`.
  - `INPROGRESS` - The creation process is underway.
  - `FAILED` - The request to create a `DataSource` did not run to completion. It is not usable.
  - `COMPLETED` - The creation process completed successfully.
  - `DELETED` - The `DataSource` is marked as deleted. It is not usable.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `EntityStatus`

#### setStatus

    public void setStatus(EntityStatus status)

The current status of the `DataSource`. This element can have one of the following values:

- `PENDING` - Amazon ML submitted a request to create a `DataSource`.
- `INPROGRESS` - The creation process is underway.
- `FAILED` - The request to create a `DataSource` did not run to completion. It is not usable.
- `COMPLETED` - The creation process completed successfully.
- `DELETED` - The `DataSource` is marked as deleted. It is not usable.

Parameters:
  `status` - The current status of the `DataSource`. This element can have one of the following values:
  - `PENDING` - Amazon ML submitted a request to create a `DataSource`.
  - `INPROGRESS` - The creation process is underway.
  - `FAILED` - The request to create a `DataSource` did not run to completion. It is not usable.
  - `COMPLETED` - The creation process completed successfully.
  - `DELETED` - The `DataSource` is marked as deleted. It is not usable.
See Also:
  `EntityStatus`

#### withStatus

    public GetDataSourceResult withStatus(EntityStatus status)

The current status of the `DataSource`. This element can have one of the following values:

- `PENDING` - Amazon ML submitted a request to create a `DataSource`.
- `INPROGRESS` - The creation process is underway.
- `FAILED` - The request to create a `DataSource` did not run to completion. It is not usable.
- `COMPLETED` - The creation process completed successfully.
- `DELETED` - The `DataSource` is marked as deleted. It is not usable.

Parameters:
  `status` - The current status of the `DataSource`. This element can have one of the following values:
  - `PENDING` - Amazon ML submitted a request to create a `DataSource`.
  - `INPROGRESS` - The creation process is underway.
  - `FAILED` - The request to create a `DataSource` did not run to completion. It is not usable.
  - `COMPLETED` - The creation process completed successfully.
  - `DELETED` - The `DataSource` is marked as deleted. It is not usable.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `EntityStatus`

#### setLogUri

    public void setLogUri(String logUri)

A link to the file containing logs of `CreateDataSourceFrom*` operations.

Parameters:
  `logUri` - A link to the file containing logs of `CreateDataSourceFrom*` operations.

#### getLogUri

    public String getLogUri()

A link to the file containing logs of `CreateDataSourceFrom*` operations.

Returns:
  A link to the file containing logs of `CreateDataSourceFrom*` operations.

#### withLogUri

    public GetDataSourceResult withLogUri(String logUri)

A link to the file containing logs of `CreateDataSourceFrom*` operations.

Parameters:
  `logUri` - A link to the file containing logs of `CreateDataSourceFrom*` operations.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setMessage

    public void setMessage(String message)

The user-supplied description of the most recent details about creating the `DataSource`.

Parameters:
  `message` - The user-supplied description of the most recent details about creating the `DataSource`.

#### getMessage

    public String getMessage()

The user-supplied description of the most recent details about creating the `DataSource`.

Returns:
  The user-supplied description of the most recent details about creating the `DataSource`.

#### withMessage

    public GetDataSourceResult withMessage(String message)

The user-supplied description of the most recent details about creating the `DataSource`.

Parameters:
  `message` - The user-supplied description of the most recent details about creating the `DataSource`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setRedshiftMetadata

    public void setRedshiftMetadata(RedshiftMetadata redshiftMetadata)

Parameters:
  `redshiftMetadata` -

#### getRedshiftMetadata

    public RedshiftMetadata getRedshiftMetadata()

Returns:

#### withRedshiftMetadata

    public GetDataSourceResult withRedshiftMetadata(RedshiftMetadata redshiftMetadata)

Parameters:
  `redshiftMetadata` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setRDSMetadata

    public void setRDSMetadata(RDSMetadata rDSMetadata)

Parameters:
  `rDSMetadata` -

#### getRDSMetadata

    public RDSMetadata getRDSMetadata()

Returns:

#### withRDSMetadata

    public GetDataSourceResult withRDSMetadata(RDSMetadata rDSMetadata)

Parameters:
  `rDSMetadata` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setRoleARN

    public void setRoleARN(String roleARN)

Parameters:
  `roleARN` -

#### getRoleARN

    public String getRoleARN()

Returns:

#### withRoleARN

    public GetDataSourceResult withRoleARN(String roleARN)

Parameters:
  `roleARN` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setComputeStatistics

    public void setComputeStatistics(Boolean computeStatistics)

The parameter is `true` if statistics need to be generated from the observation data.

Parameters:
  `computeStatistics` - The parameter is `true` if statistics need to be generated from the observation data.

#### getComputeStatistics

    public Boolean getComputeStatistics()

The parameter is `true` if statistics need to be generated from the observation data.

Returns:
  The parameter is `true` if statistics need to be generated from the observation data.

#### withComputeStatistics

    public GetDataSourceResult withComputeStatistics(Boolean computeStatistics)

The parameter is `true` if statistics need to be generated from the observation data.

Parameters:
  `computeStatistics` - The parameter is `true` if statistics need to be generated from the observation data.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### isComputeStatistics

    public Boolean isComputeStatistics()

The parameter is `true` if statistics need to be generated from the observation data.

Returns:
  The parameter is `true` if statistics need to be generated from the observation data.

#### setComputeTime

    public void setComputeTime(Long computeTime)

The approximate CPU time in milliseconds that Amazon Machine Learning spent processing the `DataSource`, normalized and scaled on computation resources. `ComputeTime` is only available if the `DataSource` is in the `COMPLETED` state and the `ComputeStatistics` is set to true.

Parameters:
  `computeTime` - The approximate CPU time in milliseconds that Amazon Machine Learning spent processing the `DataSource`, normalized and scaled on computation resources. `ComputeTime` is only available if the `DataSource` is in the `COMPLETED` state and the `ComputeStatistics` is set to true.

#### getComputeTime

    public Long getComputeTime()

The approximate CPU time in milliseconds that Amazon Machine Learning spent processing the `DataSource`, normalized and scaled on computation resources. `ComputeTime` is only available if the `DataSource` is in the `COMPLETED` state and the `ComputeStatistics` is set to true.

Returns:
  The approximate CPU time in milliseconds that Amazon Machine Learning spent processing the `DataSource`, normalized and scaled on computation resources. `ComputeTime` is only available if the `DataSource` is in the `COMPLETED` state and the `ComputeStatistics` is set to true.

#### withComputeTime

    public GetDataSourceResult withComputeTime(Long computeTime)

The approximate CPU time in milliseconds that Amazon Machine Learning spent processing the `DataSource`, normalized and scaled on computation resources. `ComputeTime` is only available if the `DataSource` is in the `COMPLETED` state and the `ComputeStatistics` is set to true.

Parameters:
  `computeTime` - The approximate CPU time in milliseconds that Amazon Machine Learning spent processing the `DataSource`, normalized and scaled on computation resources. `ComputeTime` is only available if the `DataSource` is in the `COMPLETED` state and the `ComputeStatistics` is set to true.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setFinishedAt

    public void setFinishedAt(Date finishedAt)

The epoch time when Amazon Machine Learning marked the `DataSource` as `COMPLETED` or `FAILED`. `FinishedAt` is only available when the `DataSource` is in the `COMPLETED` or `FAILED` state.

Parameters:
  `finishedAt` - The epoch time when Amazon Machine Learning marked the `DataSource` as `COMPLETED` or `FAILED`. `FinishedAt` is only available when the `DataSource` is in the `COMPLETED` or `FAILED` state.

#### getFinishedAt

    public Date getFinishedAt()

The epoch time when Amazon Machine Learning marked the `DataSource` as `COMPLETED` or `FAILED`. `FinishedAt` is only available when the `DataSource` is in the `COMPLETED` or `FAILED` state.

Returns:
  The epoch time when Amazon Machine Learning marked the `DataSource` as `COMPLETED` or `FAILED`. `FinishedAt` is only available when the `DataSource` is in the `COMPLETED` or `FAILED` state.

#### withFinishedAt

    public GetDataSourceResult withFinishedAt(Date finishedAt)

The epoch time when Amazon Machine Learning marked the `DataSource` as `COMPLETED` or `FAILED`. `FinishedAt` is only available when the `DataSource` is in the `COMPLETED` or `FAILED` state.

Parameters:
  `finishedAt` - The epoch time when Amazon Machine Learning marked the `DataSource` as `COMPLETED` or `FAILED`. `FinishedAt` is only available when the `DataSource` is in the `COMPLETED` or `FAILED` state.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStartedAt

    public void setStartedAt(Date startedAt)

The epoch time when Amazon Machine Learning marked the `DataSource` as `INPROGRESS`. `StartedAt` isn't available if the `DataSource` is in the `PENDING` state.

Parameters:
  `startedAt` - The epoch time when Amazon Machine Learning marked the `DataSource` as `INPROGRESS`. `StartedAt` isn't available if the `DataSource` is in the `PENDING` state.

#### getStartedAt

    public Date getStartedAt()

The epoch time when Amazon Machine Learning marked the `DataSource` as `INPROGRESS`. `StartedAt` isn't available if the `DataSource` is in the `PENDING` state.

Returns:
  The epoch time when Amazon Machine Learning marked the `DataSource` as `INPROGRESS` . `StartedAt` isn't available if the `DataSource` is in the `PENDING` state.

#### withStartedAt

    public GetDataSourceResult withStartedAt(Date startedAt)

The epoch time when Amazon Machine Learning marked the `DataSource` as `INPROGRESS`. `StartedAt` isn't available if the `DataSource` is in the `PENDING` state.

Parameters:
  `startedAt` - The epoch time when Amazon Machine Learning marked the `DataSource` as `INPROGRESS`. `StartedAt` isn't available if the `DataSource` is in the `PENDING` state.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDataSourceSchema

    public void setDataSourceSchema(String dataSourceSchema)

The schema used by all of the data files of this `DataSource`.

<note>Note

This parameter is provided as part of the verbose format.

</note>

Parameters:
  `dataSourceSchema` - The schema used by all of the data files of this `DataSource`. <note>Note

  This parameter is provided as part of the verbose format.

#### getDataSourceSchema

    public String getDataSourceSchema()

The schema used by all of the data files of this `DataSource`.

<note>Note

This parameter is provided as part of the verbose format.

</note>

Returns:
  The schema used by all of the data files of this `DataSource`. <note>Note

  This parameter is provided as part of the verbose format.

#### withDataSourceSchema

    public GetDataSourceResult withDataSourceSchema(String dataSourceSchema)

The schema used by all of the data files of this `DataSource`.

<note>Note

This parameter is provided as part of the verbose format.

</note>

Parameters:
  `dataSourceSchema` - The schema used by all of the data files of this `DataSource`. <note>Note

  This parameter is provided as part of the verbose format.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public GetDataSourceResult clone()

Overrides:
  `clone` in class `Object`